- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types

# LockAccessStatus Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Identifies what error occurs when the data arrays are manipulated.

Definition at line 322 of file fbxlayer.h.

`#include <fbxlayer.h>`

List of all members.

## Public Types
enum | ELockAccessStatus { eSuccess, eUnsupportedDTConversion, eCorruptedCopyback, eBadValue, eLockMismatch, eNoWriteLock, eNoReadLock, eNotOwner, eDirectLockExist }

## Member Enumeration Documentation

enum ELockAccessStatus

Search for all occurrences

Identifies what error occurs when the data arrays are manipulated.

- eSuccess Operation Successful.
- eUnsupportedDTConversion Attempts to convert to an unsupported DataType.
- eCorruptedCopyback The Release of a converted buffer fails and corrupts the main data.
- eBadValue Invalid value.
- eLockMismatch Attempts to change to an incompatible lock.
- eNoWriteLock A write operation is attempted but no WriteLock is available.
- eNoReadLock A read operation is attempted but the WriteLock is active.
- eNotOwner Attempts to release a lock on an invalid data buffer pointer.
- eDirectLockExist A direct access lock is still active.

Enumerator:

  eSuccess | Search for all occurrences
  eUnsupportedDTConversion | Search for all occurrences
  eCorruptedCopyback | Search for all occurrences
  eBadValue | Search for all occurrences
  eLockMismatch | Search for all occurrences
  eNoWriteLock | Search for all occurrences
  eNoReadLock | Search for all occurrences
  eNotOwner | Search for all occurrences
  eDirectLockExist | Search for all occurrences

Definition at line 337 of file fbxlayer.h.

        {
            eSuccess,
            eUnsupportedDTConversion,
            eCorruptedCopyback,
            eBadValue,
            eLockMismatch,
            eNoWriteLock,
            eNoReadLock,
            eNotOwner,
            eDirectLockExist
        };

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxlayer.h

LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus
LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus LockAccessStatus